Mobileread
Error loading plugin on OSX
#1  Sytten 03-16-2020, 10:18 PM
Hi there!

I am trying to build a new plugin on MacOS Mojave with Calibre 4.8, but I encounter this error with the demo plugin:

Code
$ calibre-debug -s; calibre-customize -b /Users/Sytten/Desktop/interface_demo_plugin/; calibre
No running calibre found
Plugin updated: Interface Plugin Demo (1, 0, 0)
qt.qpa.plugin: Could not find the Qt platform plugin "cocoa" in ""
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
Abort trap: 6
I am unsure if I need to install something first since it's not written in the documentation.

Thanks a lot!
Sytten
Reply 

#2  kovidgoyal 03-16-2020, 10:51 PM
No you dont need to install anything. That's an error starting up calibre. What does "calibre" resolve to?
Reply 

#3  Sytten 03-17-2020, 09:05 AM
It seems the calibre command is the problem. It resolves to /usr/local/bin/calibre, I will check if thats an old version I installed with brew or something.
Reply 

#4  Sytten 03-17-2020, 09:19 AM
Latest version seems to work! Not sure what happened previously.

Other question I had: Is there an easy way to know which calibre version should the minimum?
Reply 

#5  kovidgoyal 03-17-2020, 10:25 AM
Depends on what APIs you use. But if I were you, I'd just set it to whatever version you develop against then going forward maintain compat as long as possible with that version.
Reply 

Today's Posts | Search this Thread | Login | Register